Skip to main content
`Ctrl`+`K`

# TaoResetStatistics

Initialize the statistics collected by the `Tao` object. These statistics include the iteration number, residual norms, and convergence status. This routine gets called before solving each optimization problem.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoResetStatistics(Tao tao)

Collective

## Input Parameter

- tao - the `Tao` context

## See Also

TAO: Optimization Solvers, `Tao`, `TaoCreate()`, `TaoSolve()`

## Level

developer

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages